SEQALIGN(1e)

NAME
seqalign - Extend alignments (DAF file) with sequences (DHF file).

SYNOPSIS

seqalign -mode list -dhfinpath dirlist -dafinpath dirlist -dhfindir directory -amode list [-forcetype boolean] -dafoutdir outdir -logfile outfile

seqalign -help

DESCRIPTION

seqalign is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Protein:3D Structure" command group(s).

OPTIONS

  Input section

-mode list
    This option specifies the mode of SEQALIGN operation. SEQALIGN takes as input a directory of either i. single sequences, ii. set of sequences (unaligned or aligned, but typically aligned sequences within a domain alignment file)). The user has to specify which. Default value: 1

-dhfinpath dirlist
    This option specifies the location of sequences, e.g. DHF files (domain hits files) (input). SEQALIGN takes as input a database of either i. single sequences, ii. sets of unaligned sequences or iii. sets of aligned sequences, e.g. a domain alignment file. A 'domain alignment file' contains a sequence alignment of domains belonging to the same SCOP or CATH family. The file is in clustal format annotated with domain family classification information. The files generated by using SCOPALIGN will contain a structure-based sequence alignment of domains of known structure only. Such alignments can be extended with sequence relatives (of unknown structure) by using SEQALIGN. Default value: ./

-dafinpath dirlist
    This option specifies the location of sequences, e.g. DAF files (domain alignment files) (input). SEQALIGN takes as input a database of either i. single sequences, ii. sets of unaligned sequences or iii. sets of aligned sequences, e.g. a domain alignment file. A 'domain alignment file' contains a sequence alignment of domains belonging to the same SCOP or CATH family. The file is in clustal format annotated with domain family classification information. The files generated by using SCOPALIGN will contain a structure-based sequence alignment of domains of known structure only. Such alignments can be extended with sequence relatives (of unknown structure) by using SEQALIGN. Default value: ./

-dhfindir directory
    This option specifies the location of DHF files (domain hits files) (input). A 'domain hits file' contains database hits (sequences) with domain classification information, in the DHF format (FASTA or EMBL-like). The hits are relatives to a SCOP or CATH family and are found from a search of a sequence database. Files containing hits retrieved by PSIBLAST are generated by using SEQSEARCH. Default value: ./

  Required section

-amode list
    This option specifies which alignment algorithm to use. Default value: 1

  Additional section

-forcetype boolean
    This option specifies whether to force minimal domain classification data to be written to the output file in cases where singlet sequences were given as input file and no classification data was available Default value: N

  Output section

-dafoutdir outdir
    This option specifies the location of DAF files (domain alignment files) (output). A 'domain alignment file' contains a sequence alignment of domains belonging to the same SCOP or CATH family. The file is in clustal format annotated with domain family classification information. The files generated by using SCOPALIGN will contain a structure-based sequence alignment of domains of known structure only. Such alignments can be extended with sequence relatives (of unknown structure) by using SEQALIGN. Default value: ./

-logfile outfile
    This option specifies the name of log file for the build. The log file contains messages about any errors arising while SEQALIGN ran. Default value: seqalign.log

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

seqalign is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.